Bug 1028264 - the tray-open value for floppy disk has no any changes when eject and change it in HMP
the tray-open value for floppy disk has no any changes when eject and change ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ademar Reis
Virtualization Bugs
: Reopened
Depends On: 1027696
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 21:51 EST by Sibiao Luo
Modified: 2013-12-16 13:09 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1027696
Environment:
Last Closed: 2013-12-16 13:09:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Sibiao Luo 2013-11-07 21:54:23 EST
rhel7.0 also hit the same issue that the tray-open value of floppy disk has no any changes when eject it in HMP.

host info:
# uname -r && rpm -q qemu-kvm
3.10.0-41.el7.x86_64
qemu-kvm-1.5.3-14.el7.x86_64

# /usr/libexec/qemu-kvm -vnc :1 -monitor stdio -drive file=/home/floppy.vfd,if=none,id=drive-fdc0-0-0,readonly=on,format=qcow2 -global isa-fdc.driveA=drive-fdc0-0-0
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) info block
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 file=/home/floppy.vfd ro=1 drv=qcow2 encrypted=0 bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
ide1-cd0: removable=1 locked=0 tray-open=0 io-status=ok [not inserted]
sd0: removable=1 locked=0 tray-open=0 [not inserted]
(qemu) eject drive-fdc0-0-0
(qemu) info block
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 [not inserted]
ide1-cd0: removable=1 locked=0 tray-open=0 io-status=ok [not inserted]
sd0: removable=1 locked=0 tray-open=0 [not inserted]
(qemu) change drive-fdc0-0-0 /home/floppy.vfd
(qemu) info block
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 file=/home/floppy.vfd ro=1 drv=qcow2 encrypted=0 bps=0 bps_rd=0 bps_wr=0 iops=0 iops_rd=0 iops_wr=0
ide1-cd0: removable=1 locked=0 tray-open=0 io-status=ok [not inserted]
sd0: removable=1 locked=0 tray-open=0 [not inserted]
(qemu) q

Best Regards,
sluo
Comment 2 Ademar Reis 2013-12-10 12:07:14 EST
Direct invocation of qemu-kvm and QMP/HMP usage (outside of libvirt) will not be supported in RHEL7. Closing as wontfix.
Comment 3 Paolo Bonzini 2013-12-10 12:35:30 EST
Sibiao, please try to reproduce this with the QMP eject and change commands instead.
Comment 4 Ademar Reis 2013-12-10 13:45:08 EST
(In reply to Paolo Bonzini from comment #3)
> Sibiao, please try to reproduce this with the QMP eject and change commands
> instead.

Reopening until we hear back from QE.
Comment 5 Sibiao Luo 2013-12-10 22:11:35 EST
(In reply to Paolo Bonzini from comment #3)
> Sibiao, please try to reproduce this with the QMP eject and change commands
> instead.
this issue just hit by HMP monitor, QMP has changes, please refer to the following.
e.g.:
{"execute":"qmp_capabilities"}
{"return": {}}
{"execute":"query-block"}
{"return": [...{"device": "drive-fdc0-0-0", "locked": false, "removable": true, "inserted": {"iops_rd": 0, "image": {"virtual-size": 1509888, "filename": "/home/floppy1.vfd", "cluster-size": 65536, "format": "qcow2", "actual-size": 139264, "format-specific": {"type": "qcow2", "data": {"compat": "1.1", "lazy-refcounts": false}}, "dirty-flag": false}, "iops_wr": 0, "ro": false, "backing_file_depth": 0, "drv": "qcow2", "iops": 0, "bps_wr": 0, "encrypted": false, "bps": 0, "bps_rd": 0, "file": "/home/floppy1.vfd", "encryption_key_missing": false}, "tray_open": false, "type": "unknown"}...]}

{"execute":"eject","arguments":{"device":"drive-fdc0-0-0"}}
{"timestamp": {"seconds": 1386729943, "microseconds": 57605}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"return": {}}
{"execute":"query-block"}
{"return": [...{"device": "drive-fdc0-0-0", "locked": false, "removable": true, "tray_open": false, "type": "unknown"}...]}

{"execute":"change","arguments":{"device":"drive-fdc0-0-0","target":"/home/floppy2.vfd"}}
{"timestamp": {"seconds": 1386729953, "microseconds": 678468}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"timestamp": {"seconds": 1386729953, "microseconds": 679231}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": true}}
{"timestamp": {"seconds": 1386729953, "microseconds": 679354}, "event": "DEVICE_TRAY_MOVED", "data": {"device": "drive-fdc0-0-0", "tray-open": false}}
{"return": {}}
{"execute":"query-block"}
{"return": [...{"device": "drive-fdc0-0-0", "locked": false, "removable": true, "inserted": {"iops_rd": 0, "image": {"virtual-size": 1509888, "filename": "/home/floppy2.vfd", "cluster-size": 65536, "format": "qcow2", "actual-size": 139264, "format-specific": {"type": "qcow2", "data": {"compat": "1.1", "lazy-refcounts": false}}, "dirty-flag": false}, "iops_wr": 0, "ro": false, "backing_file_depth": 0, "drv": "qcow2", "iops": 0, "bps_wr": 0, "encrypted": false, "bps": 0, "bps_rd": 0, "file": "/home/floppy2.vfd", "encryption_key_missing": false}, "tray_open": false, "type": "unknown"}...]}

Best Regards,
sluo
Comment 6 Ademar Reis 2013-12-16 13:09:52 EST
(In reply to Sibiao Luo from comment #5)
> (In reply to Paolo Bonzini from comment #3)
> > Sibiao, please try to reproduce this with the QMP eject and change commands
> > instead.
> this issue just hit by HMP monitor, QMP has changes, please refer to the
> following.

Confirmed it's HMP only, closing bug.

Note You need to log in before you can comment on or make changes to this bug.